liquidcactus

Bad version, server rejected connection

12 posts in this topic

Hello,

Ive been playing Dayz for roughly 6 weeks now.

Since the new update.. whenever i try to enter a server i get said topic " Bad version, server rejected connection " All my freindS who have it got it to work which makes me think im now fucking retarded..

Yes I have updated the arma2 beta aswell(94444).. when i updated it said " WRONG CD-KEY " what the FUCK?????. So after some stuffing around trying to get 1.7.2 to work, which i failed miserably at, i decide to roll back.

Now it also explains in the last prompt you click before installing a arma2 patch " if you want to uninstall the patch you need to uninstall the entire game.. NOW.. is this bohemia's round about way of saying dont roll back ARMA 2 patches ?? (tried to roll back to the patch before 94444) I'm really confused by this becuase I tried to roll back, which was all good with the dayz patch but arma patch is what worries me.. Because even rolling back to what i previously had exactly(versions) it still sais this BAD VERSION, SERVER REJECTED CONNECTION when i try to connect to a server... even with appropriate older version(s) ???

This one really has me stumped :(

have i broken the game ????? probably not... hmmm

ghostwar11 likes this

Share this post


Link to post
Share on other sites

From my look m8 there are few solutions.You Arma is missing main patch 1.60. When you apply new mode,beta batch...,are you runing game from beta patch shortcut?When you enter game in right up corner shuld say dayz ekspansion beta. On right lower corner shuld be your game version.If nothing working try redownload dayz files again.Altougt i dont rememb wich mirror,think uk has still old version 1.7.1.5 version,so maybe there is broblem.Sorry for no spaces in my grama,writing from my phone.Hope you will sort things.Cheers

Share this post


Link to post
Share on other sites

hmmmm.. i dont understand how its missing the 1.60 ?

Isnt that standard when i downloaded it ? ive messed around with the versions/patches a bit over the last month as new patches were released and as issues were prominant I would swap back versions with no hassles at all.. ?

I'm confused how 1.60 affects this if its from versions upon versions ago ? but then again im not 2 good with trouble shooting computer shit ..Also you ask am i running the game from beta patch shortcut ? I only run the game from steam library/ arma2: combined ops ?

Thanx for the reply grgalee !

Share this post


Link to post
Share on other sites

Hi,

Run the game using Six Launcher. That should fix your issue.

Cheers.

I forgot to mention i already tried 6launcher but thanx anyway Remix

Share this post


Link to post
Share on other sites

Can you join an non DayZ server without DayZ ?

Yes i can join a normal arma2 server with no problems

Share this post


Link to post
Share on other sites

Sounds like you're connecting to an updated server running an older version of DayZ (now that you've rolled back, for whatever reason). You shouldn't need to roll back the Arma versions, only the DayZ version. In general, it's safer to just not roll back at all for next time.

I suggest updating everything (using Six Updater) to the current versions and launching in Six Launcher on a server running 1.7.2.

Hope I could help.

Share this post


Link to post
Share on other sites

Sounds like you're connecting to an updated server running an older version of DayZ (now that you've rolled back, for whatever reason). You shouldn't need to roll back the Arma versions, only the DayZ version. In general, it's safer to just not roll back at all for next time.

I suggest updating everything (using Six Updater) to the current versions and launching in Six Launcher on a server running 1.7.2.

Hope I could help.

Ive tried all the right combinations for what servers i have tried.. ive tried 1.7.1.5 with arma 94444 it doesnt work..still " bad version..blah" i guess its just a matter of keep trying different combos till it works... but everything just sais bad version, cant connect... to be honest ive played 240 hrs of the game so i understand all the patch/version situations im just confused by what i described initially.. which was the WRONG CD key when i updated arma2 and the " you will need to uninstall/cannot delete arma2 betas.. thingo hmm its getting confusing but hey THANX AGAIN..

perhaps i will try more 6 updater stuff but to be honest 6 updater has never really worked for mee..

My GEEB skills just arent good enough to work this out but thanx alot 2 everyone posting suggestions

:(

Share this post


Link to post
Share on other sites

Oh you are on steam,sorry didnt know that.Was talking about retail version to try to fix.Anway,maybe something mess up with shortcut Arma 2 CO.

First try these:

I assume u can run separate in your steam Arma 2 and Arma operation Arrowhead.

Try launch each of them only once.

Then try laucnh CO.

If thats not help try launch steam as Administrator and try launch Arma

If thats no help try these steps bellow.

here is video to show you for steam install

Altought i runing Dayz with these parametars -beta=Expansion\beta;Expansion\beta\Expansion -nosplash -mod=@DayZ so try that to add to Co parametars.

If thats not work,try download dayz new files manualy and paste them in dayz folder.

If is not problem can u take ss of your home inside game or if u can tell is it writing on up right corner dayz and on lower right corner what version patch u have.

Dunno else what i wuld suggest you to fix it m8.

Edited by grgalee

Share this post


Link to post
Share on other sites

The same thing is happening to me.

I downloaded both Arma II and Arma: Operation Arrowhead via Steam, then proceeded to install the beta patch after launching both games. Initially, I used the Six Updater to install the mod and play the game. Of course, I still used the added parameters to make sure that the mod was loaded. Using the server browser, I'm able to connect with a server, yet I get stuck at the loading screen, forcing me to alt-f4 out. I've literally let it sit for an hour, it would not load.

So then I tried the manual install without using the Six Updater. After reinstalling everything entirely, I manually downloaded the mod, placed it in the correct folder, launched with the parameters and am now receiving the Bad Version Error.

I've made entirely sure that nothing was missed by comparing folders and options, yet no avail. For technical reasons, here are my computer specifications:

Operating System: Windows XP: SP3

Intel Core Duo Dual Core @2.33GHz

Xfire MCP73 Motherboard w/ onboard sound and graphics capabilties(disabled)

3,326Gigs of Ram

ATI Raedon 5450HD w/ 1,024Gigs of mem/ Direct X9

450w Blacksteel PSU

500gig Baracuda Seta Harddrive

Current Resoultion: 1024x768

Other than this, I'm pretty much entirely out of options here.

Other Notes:

- I can't select or disable mods under expansions after launching the game

- I get stuck on loading via the Six Launcher, yet can't even join a server using Steam

- I had played the game before 1.7.2, but it was on a different computer

Share this post


Link to post
Share on other sites

- I get stuck on loading via the Six Launcher, yet can't even join a server using Steam

- I had played the game before 1.7.2, but it was on a different computer

Hi,

The loading issue is a bug in 1.7.2. The newest 1.7.2.1 hotfix address this issue.

Continue launching in Six Launcher, trust me!

Cheers.

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now